### Method

# Gtk.FileChooser.get_choice

#### Declaration [src]

    const char*
    gtk_file_chooser_get_choice (
      GtkFileChooser* chooser,
      const char* id
    )

#### Description [src]

Gets the currently selected option in the ‘choice’ with the given ID.

#### Parameters

`id` | `const char*`
| the ID of the choice to get
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `const char*`
the ID of the currently selected option
Ownership is not transferred to the caller
The string is a NUL terminated UTF-8 string